[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TExceptionEvent

Defines an event handler signalled to perform exception handling in an application.

## Declaration

Source position: forms.pp line 1322

`type TExceptionEvent = procedure(`
`Sender: TObject;`
`E: Exception`
`) of object;`

## Arguments

`Sender` |  | Object instance for the notification.
`E` |  | Exception instance for the notification.

## Description

TExceptionEvent is an object procedure type that defines an event handler signalled to perform exception handling in an application. Arguments passed to the event handler identify the application generating the notification, and the exception class instance. Applications must implement an object procedure using the signature for the event, and assign it to an event handler to respond to the notification.

TExceptionEvent is the type used to implement exception handlers in TApplication and TApplicationProperties.

## See also

TApplication.HandleException |  | HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully.
TApplicationProperties.OnException |  | Event handler signalled to handle an exception in an application.